Partner-API (B2B)
Länder
GET /b2b/v1/countries — list countries that have products on sale, with Korean or English names.
On this page
Request#
GET
/b2b/v1/countriescurl "https://api.esimoa.com/b2b/v1/countries?lang=en" \
-H "X-API-Key: $ESIMOA_PARTNER_KEY"const res = await fetch('https://api.esimoa.com/b2b/v1/countries?lang=en', {
headers: { 'X-API-Key': process.env.ESIMOA_PARTNER_KEY },
});
const { data: countries } = await res.json();res = requests.get(
"https://api.esimoa.com/b2b/v1/countries",
params={"lang": "en"},
headers={"X-API-Key": os.environ["ESIMOA_PARTNER_KEY"]},
timeout=10,
)
countries = res.json()["data"]Query parameters#
| Parameter | Typ | Beschreibung |
|---|---|---|
lang | 'ko' | 'en' | Sprache der Ländernamen (Standard: ko) |
Antwort#
200 OKjson
{
"success": true,
"data": [
{ "countryCode": "AU", "name": "Australia", "planCount": 64 },
{ "countryCode": "JP", "name": "Japan", "planCount": 128 }
]
}| Feld | Typ | Beschreibung |
|---|---|---|
countryCode | string | Ländercode nach ISO 3166-1 Alpha-2 |
name | string | Ländername (in lang) |
planCount | integer? | Anzahl der angebotenen Produkte – entfällt, wenn unbekannt |
Die Liste ist nach Ländernamen in der angefragten Sprache sortiert. Länder ohne Produkte und Mehrländerprodukte sind ausgeschlossen – Mehrländerprodukte findest du mit isMultiCountry=true in der Produktsuche.
